package tech.nevets.vplus.items;

import net.minecraft.item.Item;
import net.minecraft.util.Identifier;
import net.minecraft.util.registry.Registry;

public class VPItems {

    public static final Item RUBY;
    public static final Item SAPPHIRE;
    public static final Item JADE;

    public VPItems() {
    }

    static {
        RUBY = register("ruby", new Item.Settings().group(VPItemGroups.ITEMS));
        SAPPHIRE = register("sapphire", new Item.Settings().group(VPItemGroups.ITEMS));
        JADE = register("jade", new Item.Settings().group(VPItemGroups.ITEMS));
    }

    public static Item register(String id, Item.Settings settings) {
        Item item = new Item(settings);
        Registry.register(Registry.ITEM, new Identifier("vplus", id), item);
        return item;
    }

    public static void init() {
        VPItemGroups.init();
        VPFood.init();
        VPArmor.init();
    }
}
